# Uses of Enum Class
org.opensaml.saml.saml1.core.DecisionTypeEnumeration

Packages that use DecisionTypeEnumeration
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of DecisionTypeEnumeration in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return DecisionTypeEnumeration
Modifier and Type
Method
Description
`DecisionTypeEnumeration`
AuthorizationDecisionStatement.`getDecision()`
Get the decision.
`static DecisionTypeEnumeration`
DecisionTypeEnumeration.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DecisionTypeEnumeration[]`
DecisionTypeEnumeration.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.saml1.core with parameters of type DecisionTypeEnumeration
Modifier and Type
Method
Description
`void`
AuthorizationDecisionStatement.`setDecision(DecisionTypeEnumeration decision)`
Set the decision.

## Uses of DecisionTypeEnumeration in org.opensaml.saml.saml1.core.impl

Fields in org.opensaml.saml.saml1.core.impl declared as DecisionTypeEnumeration
Modifier and Type
Field
Description
`private DecisionTypeEnumeration`
AuthorizationDecisionStatementImpl.`decision`
Contains the Decision attribute.
Methods in org.opensaml.saml.saml1.core.impl that return DecisionTypeEnumeration
Modifier and Type
Method
Description
`DecisionTypeEnumeration`
AuthorizationDecisionStatementImpl.`getDecision()`
Get the decision.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type DecisionTypeEnumeration
Modifier and Type
Method
Description
`void`
AuthorizationDecisionStatementImpl.`setDecision(DecisionTypeEnumeration dec)`
Set the decision.